import glob
import os
from distutils.core import setup

short_description = "This is the outsourced PaREnTranslatorPlugins module from PaREn."

long_description = """
ExCoLib is the Experiment Conduction Library of PaREn, which is a
framework written in Python. PaREn is a scientific project that tries
to push machine learning design into the direction of engineering tasks.
Right now, much background knowledge is required, in order to produce
a solid machine learning solution.

ExCoLib is a framework and does not replace libraries with learning 
algorithms like PRL, MDP or MLpy. The algorithms are wrapped up behind classes
like Classifiers and Transformers. These wrappers are responsible for
making alogrithms introspective. ExCoLib supports the user in organizing
the experiment, helps run things in parallel and helps the user to 
collect and evaluate gathered data.

This is the outsourced Translator plugin module. You can use it without the translator.

http://www.iupr.org
"""

setup( name = 'PaREnTranslatorPlugins', version = '0.1',
      author = 'Aleksander Lodwich, Thomas Breuel, Atif Mehdi, Yves Rangoni, Lakshmesha Rao',
      author_email = 'aleksander.lodwich@dfki.iupr.de',
      maintainer = 'Aleksander Lodwich',
      maintainer_email = 'aleksander.lodwich@dfki.iupr.de',
      license = "http://www.gnu.org/copyleft/lesser.html",
      platforms = ["Any"],
      url = 'http://www.iupr.org',
      download_url = 'https://websvn.iupr.org/listing.php?repname=projects&path=%2FPaREn%2FExperiments%2F#_PaREn_ExCoLib_',
      description = short_description,
      long_description = long_description,
      packages = ['PaREnTranslatorPlugins' ]
      )
